Bug 1268745 - Review Request: rubygem-parser - A Ruby parser written in pure Ruby
Summary: Review Request: rubygem-parser - A Ruby parser written in pure Ruby
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roman Joost
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1268744
Blocks: 1268753 1268758
TreeView+ depends on / blocked
 
Reported: 2015-10-05 06:48 UTC by Ilya Gradina
Modified: 2017-12-03 22:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-03 22:33:19 UTC


Attachments (Terms of Use)

Description Ilya Gradina 2015-10-05 06:48:43 UTC
Spec URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-parser.spec
SRPM URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-parser-2.2.2.6-1.fc24.src.rpm
Description: A Ruby parser written in pure Ruby.
Fedora Account System Username: ilgrad

Comment 2 Roman Joost 2017-08-08 04:29:39 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 104 files have
     unknown license. Detailed output of licensecheck in
     /home/rjoost/tmp/1268745-rubygem-parser/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[-]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     parser-doc
[x]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[x]: Gem package should exclude cached Gem.
[x]: gems should not require rubygems package
[x]: Specfile should use macros from rubygem-devel package.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-parser-2.3.1.2-1.fc27.noarch.rpm
          rubygem-parser-doc-2.3.1.2-1.fc27.noarch.rpm
          rubygem-parser-2.3.1.2-1.fc27.src.rpm
rubygem-parser.noarch: E: wrong-script-interpreter /usr/share/gems/gems/parser-2.3.1.2/bin/ruby-parse /usr/bin/env ruby
rubygem-parser.noarch: E: wrong-script-interpreter /usr/share/gems/gems/parser-2.3.1.2/bin/ruby-rewrite /usr/bin/env ruby
rubygem-parser.noarch: W: no-manual-page-for-binary ruby-rewrite
rubygem-parser.noarch: W: no-manual-page-for-binary ruby-parse
rubygem-parser-doc.noarch: W: hidden-file-or-dir /usr/share/gems/gems/parser-2.3.1.2/doc/css/.gitkeep
rubygem-parser-doc.noarch: E: zero-length /usr/share/gems/gems/parser-2.3.1.2/doc/css/.gitkeep
3 packages and 0 specfiles checked; 3 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rubygem-parser-doc.noarch: W: hidden-file-or-dir /usr/share/gems/gems/parser-2.3.1.2/doc/css/.gitkeep
rubygem-parser-doc.noarch: E: zero-length /usr/share/gems/gems/parser-2.3.1.2/doc/css/.gitkeep
rubygem-parser.noarch: E: wrong-script-interpreter /usr/share/gems/gems/parser-2.3.1.2/bin/ruby-parse /usr/bin/env ruby
rubygem-parser.noarch: E: wrong-script-interpreter /usr/share/gems/gems/parser-2.3.1.2/bin/ruby-rewrite /usr/bin/env ruby
rubygem-parser.noarch: W: no-manual-page-for-binary ruby-parse
rubygem-parser.noarch: W: no-manual-page-for-binary ruby-rewrite
2 packages and 0 specfiles checked; 3 errors, 3 warnings.



Requires
--------
rubygem-parser-doc (rpmlib, GLIBC filtered):
    rubygem-parser

rubygem-parser (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/ruby
    ruby(rubygems)
    rubygem(ast)



Provides
--------
rubygem-parser-doc:
    rubygem-parser-doc

rubygem-parser:
    rubygem(parser)
    rubygem-parser



Source checksums
----------------
https://rubygems.org/gems/parser-2.3.1.2.gem :
  CHECKSUM(SHA256) this package     : 66c6681c1703c435b93c8173443f5aaaf8c000c1052f7897b19d23f107d2ac3b
  CHECKSUM(SHA256) upstream package : 66c6681c1703c435b93c8173443f5aaaf8c000c1052f7897b19d23f107d2ac3b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1268745 -m fedora-rawhide-x86_64 -L /tmp/rubygemrepo/ -v
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /tmp/rubygemrepo/rubygem-ast-2.3.0-1.fc27.noarch.rpm
    /tmp/rubygemrepo/rubygem-bacon-colored_output-doc-1.1.1-1.fc27.noarch.rpm
    /tmp/rubygemrepo/rubygem-bacon-colored_output-1.1.1-1.fc27.noarch.rpm

Comment 3 Roman Joost 2017-08-08 05:43:31 UTC
There is quite some stuff going in to the gem dir which I wonder is perhaps out of your control. I also can't see any guidelines in the wiki. The only missing piece from approving the package is perhaps that it hasn't packaged the latest version. Do you want to maybe update the bug with the latest version and I go over it again?

Comment 4 Roman Joost 2017-12-03 22:31:26 UTC
Package review stalled. No response.

Comment 5 Roman Joost 2017-12-03 22:33:19 UTC
Closing according to https://bugzilla.redhat.com/show_bug.cgi?id=1268745

Comment 6 Roman Joost 2017-12-03 22:33:47 UTC
Closing according to https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews


Note You need to log in before you can comment on or make changes to this bug.